require 'rubygems' 
require 'sinatra'
require 'nokogiri'
require 'dm-core'
require 'dm-migrations'
require 'dm-timestamps'
require 'dm-serializer'
require 'dm-validations'
require 'cgi'
require 'rest-client'
require 'redis'
require 'resque'

uri = URI.parse('redis://localhost:6379')
Resque.redis = Redis.new(:host => uri.host, :port => uri.port, :password => uri.password)

DataMapper.setup(:default, ENV['DATABASE_URL'] || "sqlite3://#{Dir.pwd}/development.db")
DataMapper::Model.raise_on_save_failure = true

require './index'
require './helpers'
require './worker'

Dir.glob('./models/*.rb').each do |file|
  require file
end

DataMapper.auto_upgrade!

