class PlayList
  include DataMapper::Resource

  property :id,       Serial
  property :name,     String
  property :posted,   DateTime

  has n, :songs, :model => 'Song'

  validates_presence_of :name, :message => 'You must fill in the name'

  def self.all_playlists
    PlayList.all
  end
  
  # Return the 5 most recent playlists
  def self.recent
    @playlists = []
    if PlayList.last.nil?
      nil
    else
      count = PlayList.last.id
      5.times do
        @playlists << PlayList.get(count)
        count < 0 ? count -= 1 : break
      end
    end
    @playlists
  end

end

