class Song
  include DataMapper::Resource

  property :id,           Serial
  property :title,        Text
  property :album,        Text
  property :artist,       Text
  property :preview_url,  Text
  property :play_list_id, Integer

  belongs_to :play_list, :model => 'PlayList'

  def self.get_playlist(id)
    all(:play_list_id => id)
  end

  # Return the title, artist, and album for the song
  def details
    song = self.title + ' - ' + self.artist + ' - ' + self.album
  end

  # Return link to iTunes preview URL wrapped for SoundManager2 player
  def preview_link
    link = ''
    unless self.preview_url.nil? or self.preview_url == ''
      link = '<a href="' + self.preview_url + '" class="sm2_button">Test</a>'
    end
    link
  end

end

