require File.dirname(__FILE__) + '/spec_helper'

describe PlayList do

  it "has a name" do
    p = PlayList.new(:name => "Name")
    p.name.should == "Name"
  end

  it "has an integer id" do
    p = PlayList.new(:name => "Name")
    p.save
    p.id.should be_a(Fixnum)
  end

  it "has a created date" do
    p = PlayList.new(:name => "Name", :posted => Time.new)
    p.save
    p.posted.should be_kind_of(DateTime)
  end

  describe "song association" do
    it "has many songs" do
      playlist = PlayList.new
      song = Song.new
      playlist.songs << song
      playlist.songs.should include(song)
    end
  end

  describe "validations" do
    describe "name is present" do
      it "fails when blank" do
        playlist = PlayList.new(:name => "", :posted => Time.new)
        playlist.save
        playlist.errors.should include "You must fill in the name"
      end
    end
  end

end
