require File.join(File.dirname(__FILE__), '..', 'init.rb')

require 'rubygems'
require 'sinatra'
require 'rack/test'
require 'spec'
require 'spec/autorun'
require 'spec/interop/test'
require 'webmock/rspec'

Spec::Runner.configure do |config|
  config.include WebMock
end

# Helper to load fixtures
def fixture(name)
  File.read(File.expand_path(File.dirname(__FILE__) + "/fixtures/#{name}"))
end

def fixture_path(name)
  File.expand_path(File.dirname(__FILE__) + "/fixtures/#{name}")
end

# set test environment
set :environment, :test
set :run, false
set :raise_errors, true
set :logging, false
